<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Profile | SolarSolutions</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" href = "{{ url_for('static',filename='assets/img/favicon.png') }}">
    <link rel="stylesheet" type="text/css" href = "{{ url_for('static',filename='assets/css/profile.css') }}"/>
</head>
<body style=background:#e77e64;>
    <div class="wrapper">
        <div class="Rectangle-65">
            <img class="Elipse-17" src = "{{ url_for('static',filename='assets/img/Ellipse 17.svg') }}">
            <img class="Polygon-8" src = "{{ url_for('static',filename='assets/img/Polygon 8.svg') }}">
            <a href="/"><img src = "{{ url_for('static',filename='assets/img/cancel-svgrepo-com 1.svg') }}" class="Exit"></a>
            <div class="Rectangle-62">
                <img class="Frame" src = "{{ url_for('static',filename='assets/img/frame2.svg') }}">
                
                
                <span class="profile2">
                  Profile
                
                </span>



                <!-- <img class="account-svgrepo-com-1" src = "{{ url_for('static',filename='assets/img/account-svgrepo-com 1.svg') }}">
                <div class="Line-12" contentEditable="true">  </div>
                <img class="envelope-svgrepo-com-1" src = "{{ url_for('static',filename='assets/img/envelope-svgrepo-com 1.svg') }}">
                <div class="Line-11"></div>
                <img class="phone-svgrepo-com-1" src = "{{ url_for('static',filename='assets/img/phone-svgrepo-com 1.svg') }}">
                <div class="Line-10"></div>
                <img class="key-svgrepo-com-1" src = "{{ url_for('static',filename='assets/img/key-svgrepo-com 1.svg') }}">
                <div class="Line-9"></div> -->

                <br>
                <br>
                <br>
                <span class="Surface Text-Style-23">Username:</span>
            <!-- <form class="inputtext"> -->
                <label for="surface"></label>
                <input style="width: 57.5%;" name="get_name" type="text" id="get_name" name="get_name" value="{{user.name}}" onchange="get_name()">

                <br>
                <br>
                <br>
                <span class="Surface Text-Style-23">Email:</span>
            <!-- <form class="inputtext"> -->
                <label for="surface"></label>
                <input style="width: 67%;" name="get_email"  type="text" id="get_email" name="get_email" value="{{user.email}}" onchange="get_email()">

                <br>
                <br>
                <br>
                <div style="display: none;">

                    <span class="Surface Text-Style-23">Phone:</span>
                <!-- <form class="inputtext"> -->
                    <label for="surface"></label>
                    <input style="width: 66%;" name="get_phone" type="text" id="get_phone" name="get_phone" value="{{user.phone}}" onchange="get_phone()">

                </div>

                <span class="Surface Text-Style-23">New password:</span>
            <!-- <form class="inputtext"> -->
                <label for="surface"></label>
                <input style="width: 49%;"  type="text" id="get_password" name="get_password" value="" onchange="get_password()">

                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>

                <div class="block">
                

                    <script>

                        function GoBackWithRefresh(event) {
                            if ('referrer' in document) {
                                window.location = document.referrer;
                                /* OR */
                                //location.replace(document.referrer);
                            } else {
                                window.history.back();
                            }
                        }

                    </script>
            <a  class="save" onclick="save_changes()">SAVE<img class="check" src = "{{ url_for('static',filename='assets/img/check-svgrepo-com 1.svg') }}"></a>
            <a href="/logout" class="logout">LOG OUT<imgclass="log" src = "{{ url_for('static',filename='assets/img/log-out-svgrepo-com 1.svg') }}"></a>
                </div>

            </div>

        
            <div class="Rectangle-63">
                <span class="Selected-county">
                  Selected county
                </span>
                
        <form method='POST'>
                

            <input style="display: none;" type="text" name="name" id="name" value="{{user.name}}">
            <input style="display: none;" type="text" name="email" id="email" value="{{user.email}}">
            <input style="display: none;" type="text" name="phone" id="phone" value="{{user.phone}}">
            <input style="display: none;" type="text" name="password" id="password" value="">

            <script>

                window.onload = function(){
                    get_name()
                    get_email()
                }
                function get_name(){
                    name = document.getElementById('get_name').value

                    document.getElementById('name').value = name
                }
                function get_email(){
                    email = document.getElementById('get_email').value

                    document.getElementById('email').value = email
                }
                function get_phone(){
                    phone = document.getElementById('get_phone').value

                    document.getElementById('phone').value = phone
                }
                function get_password(){
                    password = document.getElementById('get_password').value

                    document.getElementById('password').value = password
                }
            </script>

            <button type="submit" style="display: none;" id="click_submit">REAL</button>

            <script>
                
                function save_changes(){
                    button = document.getElementById('click_submit')
                    //alert(button.textContent)
                    button.click()
                }

            </script>

            <input id="get_county" style="display: none;" value="{{user.county}}">
            <input id="get_city" style="display: none;" value="{{user.city}}">
            <input id="get_month" style="display: none;" value="{{user.month}}">
            
            <select class="s1" name="county" id="counties" onchange="cities_func('')">
                <script>

                    function counties(){
    
                        keys = Object.keys(orase)
                        console.log(keys.length)
                        console.log('here')
                        var min = 12,
                        max = 100,
                        select = document.getElementById('counties');
                    

                        old_county = document.getElementById('get_county').value
                        for (var i = 0; i<keys.length; i++){
                            var opt = document.createElement('option');
                            opt.value = keys[i];
                            opt.innerHTML = keys[i];

                            if (opt.value == old_county){
                                opt.selected = true
                            }
                            
                            select.appendChild(opt);
                        }
    
                        
      
                    }
                </script>
            </select>
        <!-- </form> -->
                <span class="Selected-city">
                  Selected city
                </span>
        <!-- <form> -->
            <select class="s1" name="city" id="cities">
                <script>
            
                    window.onload = function(){
                        counties();
                        cities_func('');
                        gen_months();
                    };
                  function cities_func(county_param){
    
                      selected_county = document.getElementById('counties').selectedOptions[0];
                      
                      county = selected_county.value;
    
                      if (county_param == 'Alba'){
                            county = 'Alba'   
                      } 
    
                      old_city = document.getElementById('get_city').value
    
                      console.log('BOOM')
                      console.log(county_param)
      
                      cities = orase[county];
                      
      
                      select = document.getElementById('cities');
                      while (select.firstChild) {
                          select.removeChild(select.firstChild)
                      }
                      for(let i=0; i<cities.length; i++){
                          var opt = document.createElement('option');
                              opt.value = cities[i];
                              opt.innerHTML = cities[i];
                              if (opt.value == old_city){
                                  opt.selected = true
                              }
                              select.appendChild(opt);
                      }
                  }
              
                </script>
            </select>
        <!-- </form> -->


        <span class="Selected-county">
            Selected month
          </span>
          <!-- <form> -->
      <select class="s1 form" name="month" id="month">
            

            <script>

                function gen_months(){
                    select = document.getElementById('month');
                    while (select.firstChild) {
                        select.removeChild(select.firstChild);
                    }
                    all_months = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
                    user_month = document.getElementById('get_month').value;
                    console.log(user_month)
                    for(let i=0; i<12; i++){
                        var opt = document.createElement('option');
                            opt.value = all_months[i];
                            opt.innerHTML = all_months[i];
                            if (opt.value == user_month){
                                opt.selected = true;
                            }
                            select.appendChild(opt);
                    }
                }
            </script>
          
      </select>
  <!-- </form> -->
            </div>
            <div class="Rectangle-64">
                <br><br>
                <span class="Surface Text-Style-21">Length:</span>
            <!-- <form class="inputtext"> -->
                <label for="surface"></label>
                <input type="text" id="surface" name="roof_length" value="{{user.roof_length}}">
            <!-- </form> -->
            <span class="Text-Style-22">m</span>
                <br><br><br>
                <span class="Surface Text-Style-23">Width:</span>
            <!-- <form class="inputtext"> -->
                <label for="surface"></label>
                <input type="text" id="surface" name="roof_width" value="{{user.roof_width}}">
            <!-- </form> -->
            <span class="Text-Style-22">m</span>
                <br><br><br>
                <span class="Surface Text-Style-21">Monthly consumption:</span>
            <!-- <form class="inputtext"> -->
                <label for="surface"></label>
                <input type="text" id="surface" name="consumption" value="{{user.consumption}}">
            <!-- </form> -->
            
            
            <span class="Text-Style-22">kW</span>
            </div> 
        </form>
        </div>
    </div>
    <script type="text/javascript" src="{{ url_for('static',filename='assets/js/orase.js') }}"></script>


</body>
</html>